<?php
include ("clases/clases.class.php"); $objcla = new clases();
include ("clases/doc_curso.class.php");
include ("clases/curso.class.php");
include ("clases/autor.class.php");
include ("clases/tarea.class.php");
include ("clases/trabajo.class.php");
include ("clases/matricula.class.php");
include ("clases/alumno.class.php");
$objalumno = new alumno();
$objmat = new matricula();
$objtra = new trabajo();
$objtarea = new tarea();
$objdc = new doc_curso(); $objc = new curso(); $objd = new autor();

 $idclases = $_REQUEST['idclases'];
if($objcla->BuscarPorCodigo($idclases))
{
  $clase = $objcla->getClase();
}
$iddoc_cur = $_REQUEST['iddoccur'];
//$cod=$_REQUEST['id'];
if($objdc->BuscarPorCodigo($iddoc_cur)){
     $idcurso =  $objdc->getIdcurso();
	 if($objc->BuscarPorCodigo($idcurso)){
	   $curso = $objc->getCurso();
	 }
	 $iddoc =  $objdc->getIddoc();
	 if($objd->BuscarPorCodigo($iddoc)){$nom = $objd->getNombres()." ".$objd->getApellidos();}
   }
///////////////////////////////
$obja=new clases();
?>
<html>
	<head><title>mi web</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/timeline.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>

<script src="media/js/jquery-1.10.2.js"></script>
	<script src="editor/ckeditor/ckeditor.js" type=text/javascript></script>

	<script>
		$(document).ready(function() {
		var table = $('#example').DataTable( {
			responsive: true
		} );
			new $.fn.dataTable.FixedHeader( table );
		 });
   </script>
		</head>

	<script language="javascript">
	function consultar(f){
	f.action = 'mandocente.php';
	f.submit();return true;
	}
	</script>
	<script>
function confirmar()
{
	if(confirm('Estas seguro de Eliminar el Registro?'))
		return true;
	else
		return false;
}

function guardar(f)
{
  if(f.titulo.value=="")
   {
      f.titulo.focus();
	  return false;
   }
   if(f.descripcion.value=="")
   {
      f.descripcion.focus();
	  return false;
   }
   if(f.fechalimite.value=="")
   {
      f.fechalimite.focus();
	  return false;
   }

   f.action='controladores/procesatarea.php';
   f.submit();
   return true;
}

$(document).ready(function() {
  $('a[data-toggle=modal], button[data-toggle=modal]').click(function () {
    var data_id = '';
	var data_des= '';
    if (typeof $(this).data('id') !== 'undefined') {
      data_id = $(this).data('id');
    }
    $('#idpregunta').val(data_id);
  })
});

function rellenar(a,t,e,d){
	//alert(a);
	var fl = d.split(/[-/]/).reverse().join("-");
   document.form3.idtarea.value=a;
   document.form3.titulo.value=t;
   document.form3.descripcion.value=e;
   document.form3.fechalimite.value=fl;

   document.form3.text.value="M";
}

function reverse(s){
    return s.split("").reverse().join("");
}



function reg(){document.form2.text.value="R";}

$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
</script>
<SCRIPT>
function IsNumeric(valor)
{
	var log=valor.length; var sw="S";
	for (x=0; x<log; x++)
	{ v1=valor.substr(x,1);
		v2 = parseInt(v1);
		//Compruebo si es un valor numérico
		if (isNaN(v2)) { sw= "N";}
	}
	if (sw=="S") {return true;} else {return false; }
}
var primerslap=false;
var segundoslap=false;
function formateafecha(fecha)
{
var long = fecha.length;
var dia;
var mes;
var ano;
if ((long>=2) && (primerslap==false)) { dia=fecha.substr(0,2);
if ((IsNumeric(dia)==true) && (dia<=31) && (dia!="00")) { fecha=fecha.substr(0,2)+"-"+fecha.substr(3,7); primerslap=true; }
else { fecha=""; primerslap=false;}
}
else
{ dia=fecha.substr(0,1);
if (IsNumeric(dia)==false)
{fecha="";}
if ((long<=2) && (primerslap=true)) {fecha=fecha.substr(0,1); primerslap=false; }
}
if ((long>=5) && (segundoslap==false))
{ mes=fecha.substr(3,2);
if ((IsNumeric(mes)==true) &&(mes<=12) && (mes!="00")) { fecha=fecha.substr(0,5)+"-"+fecha.substr(6,4); segundoslap=true; }
else { fecha=fecha.substr(0,3);; segundoslap=false;}
}
else { if ((long<=5) && (segundoslap=true)) { fecha=fecha.substr(0,4); segundoslap=false; } }
if (long>=7)
{ ano=fecha.substr(6,4);
if (IsNumeric(ano)==false) { fecha=fecha.substr(0,6); }
else { if (long==10){ if ((ano==0) || (ano<1900) || (ano>2100)) { fecha=fecha.substr(0,6); } } }
}
if (long>=10)
{
fecha=fecha.substr(0,10);
dia=fecha.substr(0,2);
mes=fecha.substr(3,2);
ano=fecha.substr(6,4);
// Año no viciesto y es febrero y el dia es mayor a 28
if ( (ano%4 != 0) && (mes ==02) && (dia > 28) ) { fecha=fecha.substr(0,2)+"-"; }
}
return (fecha);
}
</SCRIPT>
	<style>
	.text_docentes{ font-size:12px; font-family:Arial, Helvetica, sans-serif;}
	</style>
	<body>

	  <div id="container">

        <div class="panel-heading">
		            <h4>Registro de Tarea
<a href="#" data-id="" data-title="Editar" data-toggle="modal" data-target="#nuevo" class="btn btn-default" onClick="javascript:reg();"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span></a>
					<a href="datoscargalectiva.php?dc=<?=$iddoc_cur;?>" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-share" aria-hidden="true"></span></a></h4>
					Curso de: <?=$curso;?><br>
				Clase: <?=$clase;?>
        </div>
			<div class="form-group">
  <table width="90%" border="0" align="center">

			    <tr>
			      <td width="517" >
                    <table width="100%"  border="0"  class="table table-responsive">
                      <tr class="text_docentes active">
                        <td  >N&deg;</td>
                        <td  >Titulo </td>
                        <td  >Desripcion</td>
                        <td  >Fecha Limite </td>
                        <td  >Fecha de Reg. </td>
                        <td colspan="3"  align="center">Accion</td>
                      </tr>
                      <?

			  $lista=$objtarea->ListarPorClase($idclases);
			  for($i = 0; $i<count($lista); $i++)
			  {
			  ?>
                      <tr onMouseOver="this.style.backgroundColor='#f5f5f5'" onMouseOut="this.style.backgroundColor='FFFFFF'" class="text_docentes">
                        <td width="3%" ><span class="glyphicon glyphicon-ok"></span></td>
                        <td width="17%" ><?=$lista[$i]["titulo"];?></td>
                        <td width="17%" ><?=$lista[$i]["descripcion"];?></td>
                        <td width="15%" ><?=date("d/m/Y", strtotime($lista[$i]["fechalimite"]));?></td>
                        <td width="18%" ><?=date("d/m/Y", strtotime($lista[$i]["fechareg"]));?></td>
                        <td>
<a href="#" data-id="" alt="Editar" title="Editar" data-toggle="modal" data-target="#edita" class="btn btn-default" onClick="javascript:rellenar(<?=$lista[$i]['idtarea'];?>,'<?=$lista[$i]['titulo'];?>','<?=$lista[$i]['descripcion'];?>','<?=$lista[$i]['fechalimite'];?>');" ><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></a></td >
                        <td>
						 <a href="#" alt="Ver Responsables" title="Ver Responsables" role="button" data-toggle="collapse" data-target="#demo<?=$i;?>"><span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span></a>
						</td>
                        <td><a href="controladores/procesatarea.php?id=<?=$lista[$i]['idtarea'];?>&text=e&iddoccur=<?=$iddoc_cur;?>&idc=<?=$idclases;?>" onClick="return confirmar();" data-toggle="tooltip" title="Eliminar"><span class="glyphicon glyphicon-trash"></span></a></td >
                      </tr>
					  <tr><td colspan="8">
					  <div class="collapse" id="demo<?=$i;?>">Responsables
					  <div class="well">
					  <?php
					        $trabajos = $objtra->ListarPorTarea($lista[$i]['idtarea']);
							for($j=0;$j<count($trabajos);$j++)
							{
							   if($objmat->BuscarPorCodigo($trabajos[$j]["idmatricula"]))
							   {
							      $trabajos[$j]["idalu"] = $objmat->getIdalu();
								  if($objalumno->BuscarPorCodigo($trabajos[$j]["idalu"]))
								  {
								     $trabajos[$j]["nombres"] = $objalumno->getNombres();
									 $trabajos[$j]["apellidos"] = $objalumno->getApellidos();
								  }
							   }
				echo $trabajos[$j]["nombres"]." ".$trabajos[$j]["apellidos"].", Tarea: <a href='trabajos/".$trabajos[$j]['archivo']."' target='_blank'>".$trabajos[$j]["archivo"]."</a> / Fecha Entrega: ".$trabajos[$j]['fecha']."<br>";
							}
					  ?>
                      </div></div>
					  </td></tr>
                      <?
			  }
			  ?>
                    </table>		          </td>
      </tr>
		      </table>
	    </div>
	  </div>


     <form name="form2" action="" method="post">
        <input type="hidden" name="idclases" value="<?=$idclases;?>">
		<input name="iddoc_cur" type="hidden" value="<?=$iddoc_cur;?>">

<div class="modal fade" id="nuevo" tabindex="-1" role="dialog" aria-labelledby="nuevo" aria-hidden="true">
      <div class="modal-dialog">
    <div class="modal-content">
          <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></button>
        <h4 class="modal-title custom_align" id="Heading">Registrar Tarea</h4>
      </div>
          <div class="modal-body">
          <div class="form-group">Titulo:
         <input name="titulo" id="titulo" type="text" value="" size="35" class="form-control" >
		</div>
		<div class="form-group">Descripcion:
		<textarea name="descripcion" id="descripcion"  class="form-control">
            </textarea><script>
               // CKEDITOR.replace( 'descripcion' );
            </script>
		</div>
		<div class="form-group">
		Fecha Limite de entrega:
				  <input name="fechalimite" type="date" class="form-control">
				  <input name="idtarea" type="hidden" value="">
				  <input type="hidden" name="text" value="">
		</div>

      </div>
          <div class="modal-footer ">
        <button type="button" class="btn btn-success btn-lg" style="width: 100%;" onClick="guardar(this.form);"><span class="glyphicon glyphicon-ok-sign"></span>Guardar</button>

      </div>
        </div>
    <!-- /.modal-content -->
  </div>
      <!-- /.modal-dialog -->
  </div>
</form>

  <form name="form3" action="" method="post">
        <input type="hidden" name="idclases" value="<?=$idclases;?>">
		<input name="iddoc_cur" type="hidden" value="<?=$iddoc_cur;?>">

<div class="modal fade" id="edita" tabindex="-1" role="dialog" aria-labelledby="edita" aria-hidden="true">
      <div class="modal-dialog">
    <div class="modal-content">
          <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></button>
        <h4 class="modal-title custom_align" id="Heading">Editar Tarea</h4>
      </div>
          <div class="modal-body">
          <div class="form-group">Titulo:
         <input name="titulo" id="titulo" type="text"  class="form-control" >
		</div>
		<div class="form-group">Descripcion:
		<textarea name="descripcion" id="descripcion" class="form-control"></textarea>
		</div>
		<div class="form-group">
		Fecha Limite de entrega:
				  <input name="fechalimite" type="text" class="form-control" onKeyUp = "this.value=formateafecha(this.value);">
				  <input name="idtarea" type="hidden" value="">
				  <input type="hidden" name="text">
		</div>

      </div>
          <div class="modal-footer ">
        <button type="button" class="btn btn-success btn-lg" style="width: 100%;" onClick="guardar(this.form);"><span class="glyphicon glyphicon-ok-sign"></span>Guardar</button>

      </div>
        </div>
    <!-- /.modal-content -->
  </div>
      <!-- /.modal-dialog -->
  </div>
</form>



<script type="text/javascript">
$(document).ready(function(){
$("#mytable #checkall").click(function () {
        if ($("#mytable #checkall").is(':checked')) {
            $("#mytable input[type=checkbox]").each(function () {
                $(this).prop("checked", true);
            });

        } else {
            $("#mytable input[type=checkbox]").each(function () {
                $(this).prop("checked", false);
            });
        }
    });

    $("[data-toggle=tooltip]").tooltip();
});

</script>
	</body>
</html>